> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-playbook/merging-tables-and-dropping-geometry.md).

# Merging Tables and Dropping Geometry

Maintenance, Reinstatement and Special Designation can have different geometry (point, line or area) or no geometry. In a non-spatial database this is not a problem and they can easily be merged into one. A spatial database will not allow mixed geometry types. It is suggested to create a new table, dropping the geometry. Link to geometry can then be preserved if required.

## What You Will Need

### **Data**

* RAMI Specification
* Maintenance
* Reinstatement
* Special Designation

### **Software**

* Translation software is required to convert data from GML into chosen format. FME workbenches are available on GitHub to help with this.
* Data storage – once translated the data will need to be stored in a format compatible with your systems, this may be on your file system as a shape file, geopackage or tab file or in a database.
* GIS or web application to manipulate and display your results.

## Steps to Success: Merging Tables and Dropping Geometry

Create table statement with UNION ALL:

```sql
CREATE TABLE highways_nov.maintenance AS
SELECT id, maintenanceresponsibility, partialreference, highwayauthorityname, highwayauthorityid, maintenanceauthorityname, maintenanceauthorityid, referencetostreetusrn, locationdescription FROM highways_nov.maintenance_line
UNION ALL
SELECT id, maintenanceresponsibility, partialreference, highwayauthorityname, highwayauthorityid, maintenanceauthorityname, maintenanceauthorityid, referencetostreetusrn, locationdescription FROM highways_nov.maintenance_area
UNION ALL
SELECT id, maintenanceresponsibility, partialreference, highwayauthorityname, highwayauthorityid, maintenanceauthorityname, maintenanceauthorityid, referencetostreetusrn, locationdescription FROM highways_nov.maintenance_point
UNION ALL
SELECT id, maintenanceresponsibility, partialreference, highwayauthorityname, highwayauthorityid, maintenanceauthorityname, maintenanceauthorityid, referencetostreetusrn, locationdescription FROM highways_nov.maintenance_nogeom
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-playbook/merging-tables-and-dropping-geometry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
